% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hellmer-core.R
\name{process_chunks}
\alias{process_chunks}
\title{Process chunks of prompts in parallel}
\usage{
process_chunks(
  chunks,
  result,
  chat_obj,
  type_spec,
  judgements,
  pb,
  state_path,
  progress,
  beep,
  max_retries,
  initial_delay,
  max_delay,
  backoff_factor,
  echo,
  ...
)
}
\arguments{
\item{chunks}{List of prompt chunks to process}

\item{result}{A batch object to store results}

\item{chat_obj}{Chat model object for making API calls}

\item{type_spec}{Type specification for structured data extraction}

\item{judgements}{Number of judgements for structured data extraction resulting in refined data}

\item{pb}{Progress bar object}

\item{state_path}{Path to save intermediate state}

\item{progress}{Whether to show progress bars}

\item{beep}{Logical indicating whether to play sounds}

\item{max_retries}{Maximum number of retry attempts}

\item{initial_delay}{Initial delay in seconds before first retry}

\item{max_delay}{Maximum delay in seconds between retries}

\item{backoff_factor}{Factor to multiply delay by after each retry}
}
\value{
Updated batch object with processed results
}
\description{
Process chunks of prompts in parallel
}
\keyword{internal}
